Skip to main content
GET
/
execution
/
sell
/
quote
/
v1
Get a sell quote
curl --request GET \
  --url https://api.collectpure.com/execution/sell/quote/v1 \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.collectpure.com/execution/sell/quote/v1"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.collectpure.com/execution/sell/quote/v1', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {
    "quoteId": "<string>",
    "expiresAt": "<string>",
    "refreshedAt": "<string>",
    "lineItems": [
      {
        "id": "<string>",
        "quantity": 123,
        "price": 123,
        "status": "<string>",
        "disabled": true,
        "error": "<string>",
        "product": {
          "sku": "<string>",
          "title": "<string>",
          "fulfillmentDays": 123
        },
        "variant": {
          "title": "<string>"
        },
        "offer": {
          "id": "<string>",
          "productId": "<string>",
          "variantId": "<string>",
          "price": 123,
          "quantity": 123,
          "spotPremium": 123,
          "spotPremiumDollar": 123
        }
      }
    ],
    "fees": [
      {
        "id": "<string>",
        "label": "<string>",
        "amount": 123,
        "rate": 123
      }
    ],
    "optionals": [
      {
        "id": "<string>",
        "title": "<string>",
        "description": "<string>",
        "fee": 123,
        "selected": true,
        "enabled": true,
        "disabledReason": "<string>",
        "disclaimer": {
          "label": "<string>",
          "url": "<string>"
        }
      }
    ],
    "subtotal": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

quoteId
string
required

The quote ID to retrieve

selectedOptionalIds
string

Comma-separated optional IDs to select (e.g. 'instant_payout'). Updates which optionals are active for this pricing snapshot.

Response

200 - application/json

Default Response

success
enum<boolean>
required
Available options:
true
data
object
required